package com.zjrs.zwnw.zj.dto;

import io.swagger.annotations.ApiModelProperty;

import jakarta.validation.constraints.NotBlank;

public class QsbshDTO implements java.io.Serializable {
    private static final long serialVersionUID = 1L;

    private String ljzl;
    private String ndxz;
    private String ndlc;

    @NotBlank(message="40周岁（含）以上博士后累计总量不可为空")
    private String nl40ulj;

    @NotBlank(message="40周岁（含）以下博士后累计总量不可为空")
    private String nl40dlj;

    @NotBlank(message="中央、省驻湛单位累计总量不可为空")
    private String zyszzdwlj;

    @NotBlank(message="市属单位累计总量不可为空")
    private String ssdwlj;
    private String rsZjQsbshLsh;

    @ApiModelProperty(value = "年度")
    @NotBlank(message="年度不可为空")
    private String nd;

    @ApiModelProperty(value = "40周岁（含）以上博士后新增")
    @NotBlank(message="40周岁（含）以上博士后新增不可为空")
    private String nl40uxz;

    @ApiModelProperty(value = "40周岁以下博士后新增")
    @NotBlank(message="40周岁以下博士后新增不可为空")
    private String nl40dxz;

    @ApiModelProperty(value = "中央、省驻湛单位新增")
    @NotBlank(message="中央、省驻湛单位新增不可为空")
    private String zyszzdwxz;

    @ApiModelProperty(value = "市属单位新增")
    @NotBlank(message="市属单位新增不可为空")
    private String ssdwxz;

    @ApiModelProperty(value = "40周岁（含）以上博士后流出")
    @NotBlank(message="40周岁（含）以上博士后流出不可为空")
    private String nl40ulc;

    @ApiModelProperty(value = "40周岁以下博士流出")
    @NotBlank(message="40周岁以下博士流出不可为空")
    private String nl40dlc;

    @ApiModelProperty(value = "中央、省驻湛单位流出")
    @NotBlank(message="中央、省驻湛单位流出不可为空")
    private String zyszzdwlc;

    @ApiModelProperty(value = "市属单位流出")
    @NotBlank(message="市属单位流出不可为空")
    private String ssdwlc;

    public String getNd() {
        return nd;
    }

    public void setNd(String nd) {
        this.nd = nd;
    }

    public String getNl40uxz() {
        return nl40uxz;
    }

    public void setNl40uxz(String nl40uxz) {
        this.nl40uxz = nl40uxz;
    }

    public String getNl40dxz() {
        return nl40dxz;
    }

    public void setNl40dxz(String nl40dxz) {
        this.nl40dxz = nl40dxz;
    }

    public String getZyszzdwxz() {
        return zyszzdwxz;
    }

    public void setZyszzdwxz(String zyszzdwxz) {
        this.zyszzdwxz = zyszzdwxz;
    }

    public String getSsdwxz() {
        return ssdwxz;
    }

    public void setSsdwxz(String ssdwxz) {
        this.ssdwxz = ssdwxz;
    }

    public String getNl40ulc() {
        return nl40ulc;
    }

    public void setNl40ulc(String nl40ulc) {
        this.nl40ulc = nl40ulc;
    }

    public String getNl40dlc() {
        return nl40dlc;
    }

    public void setNl40dlc(String nl40dlc) {
        this.nl40dlc = nl40dlc;
    }

    public String getZyszzdwlc() {
        return zyszzdwlc;
    }

    public void setZyszzdwlc(String zyszzdwlc) {
        this.zyszzdwlc = zyszzdwlc;
    }

    public String getSsdwlc() {
        return ssdwlc;
    }

    public void setSsdwlc(String ssdwlc) {
        this.ssdwlc = ssdwlc;
    }

    public String getNl40ulj() {
        return nl40ulj;
    }

    public void setNl40ulj(String nl40ulj) {
        this.nl40ulj = nl40ulj;
    }

    public String getNl40dlj() {
        return nl40dlj;
    }

    public void setNl40dlj(String nl40dlj) {
        this.nl40dlj = nl40dlj;
    }

    public String getZyszzdwlj() {
        return zyszzdwlj;
    }

    public void setZyszzdwlj(String zyszzdwlj) {
        this.zyszzdwlj = zyszzdwlj;
    }

    public String getSsdwlj() {
        return ssdwlj;
    }

    public void setSsdwlj(String ssdwlj) {
        this.ssdwlj = ssdwlj;
    }

    public String getRsZjQsbshLsh() {
        return rsZjQsbshLsh;
    }

    public void setRsZjQsbshLsh(String rsZjQsbshLsh) {
        this.rsZjQsbshLsh = rsZjQsbshLsh;
    }

    public String getLjzl() {
        return ljzl;
    }

    public void setLjzl(String ljzl) {
        this.ljzl = ljzl;
    }

    public String getNdxz() {
        return ndxz;
    }

    public void setNdxz(String ndxz) {
        this.ndxz = ndxz;
    }

    public String getNdlc() {
        return ndlc;
    }

    public void setNdlc(String ndlc) {
        this.ndlc = ndlc;
    }
}
